[android-components](../../index.md) / [mozilla.components.service.fretboard.storage.flatfile](../index.md) / [FlatFileExperimentStorage](index.md) / [&lt;init&gt;](./-init-.md)

# &lt;init&gt;

`FlatFileExperimentStorage(file: `[`File`](https://developer.android.com/reference/java/io/File.html)`)`

Class which uses a flat JSON file as an experiment storage mechanism

### Parameters

`file` - file where to store experiments